﻿#include "StdAfx.h"
#include "QuitCommand.h"
#include "MessageBox.h"
#include "UpdaterView.h"

namespace tipupdater
{

	REGISTER_TIPACTION_CREATOR(_T("QuitCommand"), QuitCommand);
	BOOL QuitCommand::ExecuteImpl()
	{
		// 종료할 수 있는 상태인지 판단해야 함
		UpdaterView* view = dynamic_cast<UpdaterView*>(this->GetView());
		UINT retVal	= IDNO;
		retVal = MessageBox::Call(_T("통합인스톨러를 종료하시겠습니까?"), _T("통합인스톨러"), MB_YESNO);
		if (IDYES == retVal)
		{
			PostQuitMessage(0);
		}

		return TRUE;
	}

};